import BaseStore from '@src/stores/base';

export default class SystemStore extends BaseStore {
  listManager(params) {
    return this.apiGet('/managers', params);
  }

  addManager(params) {
    return this.apiPost('/manager', params);
  }

  getManager(params) {
    return this.apiGet('/manager/{manager_id}', { manager_id: params.id, ...params });
  }

  putManager(params) {
    return this.apiPut('/manager/{manager_id}', { manager_id: params.id, ...params });
  }

  delManager(params) {
    return this.apiDel('/manager/{manager_id}', { manager_id: params.id, ...params });
  }
}

export const System = new SystemStore({ key: 'system' });
