import React from 'react';
import './index.less';
import Module from '../Module';
import Table from '../Table';
import Radio from '../Radio';

function getFilter(filter) {
  switch (filter.type) {
    case 'radio':
      return <Radio {...filter} />;
    default:
      return '';
  }
}

function List(props) {
  const { style, title, subTitle, filters = [], colums = [], data = [] } = props;
  return (
    <Module style={style} className="list">
      <div className="header">
        <span className="title">{title}</span>
        <span className="sub-title">{subTitle}</span>
      </div>
      <div className="filter">
        <span className="text">筛选</span>
        <div className="filter-list">
          {filters.map(filter => {
            return <div className="filter-item">{getFilter(filter)}</div>;
          })}
        </div>
      </div>
      <Table colums={colums} data={data} />
    </Module>
  );
}
List.propTypes = {};
export default List;
