import React from 'react';
import './index.less';

function Table(props) {
  const { columns = [], data = [] } = props;
  return (
    <div className="table">
      <div className="th">
        {columns.map(column => {
          return <div className="td">{column.title}</div>;
        })}
      </div>
      {data.map(row => {
        return (
          <div className="tr">
            {columns.map(column => {
              if (column.render) {
                return <div className="td">{column.render(row[column.key], row)}</div>;
              }
              return <div className="td">{row[column.key]}</div>;
            })}
          </div>
        );
      })}
    </div>
  );
}
Table.propTypes = {};
export default Table;
