import React from 'react';
import './index.less';
import Page from '@src/containers/Page';
import Continue from '../../../components/Continue';
import Tabs from '../../../components/Tabs';
import Module from '../../../components/Module';
import Division from '../../../components/Division';
import Panel from '../../../components/Panel';
import Card from '../../../components/Card';
import List from '../../../components/List';

export default class extends Page {
  renderView() {
    return (
      <div>
        <Continue date={'2019-04-29 16:30'} data={{}} />
        <div className="content">
          <Module className="m-t-2">
            <Tabs
              type="card"
              active="main"
              tabs={[
                { key: 'main', name: '首页', path: '/' },
                { key: 'ready', name: 'GetReady', path: '/' },
                { key: 'exercise', name: '练习', path: '/' },
                { key: 'cat', name: 'CAT模考', path: '/' },
                { key: 'item', name: '题库', path: '/' },
                { key: 'machine', name: '换库&机经', path: '/' },
              ]}
            />
            <Tabs
              active="main"
              tabs={[
                { key: 'main', name: '首页', path: '/' },
                { key: 'ready', name: 'GetReady', path: '/' },
                { key: 'exercise', name: '练习', path: '/' },
                { key: 'cat', name: 'CAT模考', path: '/' },
                { key: 'item', name: '题库', path: '/' },
              ]}
            />
          </Module>
          <Module>
            <Tabs
              active="main"
              border
              width="180px"
              space="0"
              tabs={[
                { key: 'main', name: '首页', path: '/' },
                { key: 'ready', name: 'GetReady', path: '/' },
                { key: 'exercise', name: '练习', path: '/' },
                { key: 'cat', name: 'CAT模考', path: '/' },
                { key: 'item', name: '题库', path: '/' },
              ]}
            />
            <Tabs
              active="main"
              type="text"
              tabs={[
                { key: 'main', name: '首页', path: '/' },
                { key: 'ready', name: 'GetReady', path: '/' },
                { key: 'exercise', name: '练习', path: '/' },
                { key: 'cat', name: 'CAT模考', path: '/' },
                { key: 'item', name: '题库', path: '/' },
              ]}
            />
          </Module>
          <Division two>
            <Panel title="OG">
              <div>123</div>
            </Panel>
            <Panel title="OG">
              <div>123</div>
            </Panel>
          </Division>
          <Division three>
            <Card title="句改 SC">
              <div>123</div>
            </Card>
            <Card title="句改 SC">
              <div>123</div>
            </Card>
            <Card title="句改 SC">
              <div>123</div>
            </Card>
          </Division>
          <List
            title="Chapter4"
            subTitle="简单句如何变长难句"
            filters={[
              { type: 'radio', checked: 'first', list: [{ key: 'first', title: 123 }, { key: 'two', title: 321 }] },
            ]}
          />
        </div>
      </div>
    );
  }
}
