package com.qxgmat.data.dao.entity;

import java.io.Serializable;
import javax.persistence.*;

@Table(name = "examination_struct")
public class ExaminationStruct implements Serializable {
    @Id
    @Column(name = "`id`")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 中文名称
     */
    @Column(name = "`name_zh`")
    private String nameZh;

    /**
     * 英文名称
     */
    @Column(name = "`name_en`")
    private String nameEn;

    /**
     * 父级id
     */
    @Column(name = "`parent_id`")
    private Integer parentId;

    /**
     * 排序：从大到小
     */
    @Column(name = "`order`")
    private Integer order;

    private static final long serialVersionUID = 1L;

    /**
     * @return id
     */
    public Integer getId() {
        return id;
    }

    /**
     * @param id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取中文名称
     *
     * @return name_zh - 中文名称
     */
    public String getNameZh() {
        return nameZh;
    }

    /**
     * 设置中文名称
     *
     * @param nameZh 中文名称
     */
    public void setNameZh(String nameZh) {
        this.nameZh = nameZh;
    }

    /**
     * 获取英文名称
     *
     * @return name_en - 英文名称
     */
    public String getNameEn() {
        return nameEn;
    }

    /**
     * 设置英文名称
     *
     * @param nameEn 英文名称
     */
    public void setNameEn(String nameEn) {
        this.nameEn = nameEn;
    }

    /**
     * 获取父级id
     *
     * @return parent_id - 父级id
     */
    public Integer getParentId() {
        return parentId;
    }

    /**
     * 设置父级id
     *
     * @param parentId 父级id
     */
    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    /**
     * 获取排序：从大到小
     *
     * @return order - 排序：从大到小
     */
    public Integer getOrder() {
        return order;
    }

    /**
     * 设置排序：从大到小
     *
     * @param order 排序：从大到小
     */
    public void setOrder(Integer order) {
        this.order = order;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", nameZh=").append(nameZh);
        sb.append(", nameEn=").append(nameEn);
        sb.append(", parentId=").append(parentId);
        sb.append(", order=").append(order);
        sb.append("]");
        return sb.toString();
    }

    public static ExaminationStruct.Builder builder() {
        return new ExaminationStruct.Builder();
    }

    public static class Builder {
        private ExaminationStruct obj;

        public Builder() {
            this.obj = new ExaminationStruct();
        }

        /**
         * @param id
         */
        public Builder id(Integer id) {
            obj.setId(id);
            return this;
        }

        /**
         * 设置中文名称
         *
         * @param nameZh 中文名称
         */
        public Builder nameZh(String nameZh) {
            obj.setNameZh(nameZh);
            return this;
        }

        /**
         * 设置英文名称
         *
         * @param nameEn 英文名称
         */
        public Builder nameEn(String nameEn) {
            obj.setNameEn(nameEn);
            return this;
        }

        /**
         * 设置父级id
         *
         * @param parentId 父级id
         */
        public Builder parentId(Integer parentId) {
            obj.setParentId(parentId);
            return this;
        }

        /**
         * 设置排序：从大到小
         *
         * @param order 排序：从大到小
         */
        public Builder order(Integer order) {
            obj.setOrder(order);
            return this;
        }

        public ExaminationStruct build() {
            return this.obj;
        }
    }
}