package com.qxgmat.data.dao.entity;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.*;

@Table(name = "question")
public class Question implements Serializable {
    @Id
    @Column(name = "`id`")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 模块：examination, exercise,sentence
     */
    @Column(name = "`module`")
    private Integer module;

    /**
     * 类型
     */
    @Column(name = "`type`")
    private Integer type;

    /**
     * 难度
     */
    @Column(name = "`difficult`")
    private Integer difficult;

    @Column(name = "`question_time`")
    private Date questionTime;

    @Column(name = "`qx_time`")
    private Date qxTime;

    @Column(name = "`offical_time`")
    private Date officalTime;

    @Column(name = "`association_time`")
    private Date associationTime;

    /**
     * 总作答时间
     */
    @Column(name = "`total_time`")
    private Integer totalTime;

    /**
     * 总作答次数
     */
    @Column(name = "`total_number`")
    private Integer totalNumber;

    /**
     * 总正确次数
     */
    @Column(name = "`total_correct`")
    private Integer totalCorrect;

    private static final long serialVersionUID = 1L;

    /**
     * @return id
     */
    public Integer getId() {
        return id;
    }

    /**
     * @param id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取模块：examination, exercise,sentence
     *
     * @return module - 模块：examination, exercise,sentence
     */
    public Integer getModule() {
        return module;
    }

    /**
     * 设置模块：examination, exercise,sentence
     *
     * @param module 模块：examination, exercise,sentence
     */
    public void setModule(Integer module) {
        this.module = module;
    }

    /**
     * 获取类型
     *
     * @return type - 类型
     */
    public Integer getType() {
        return type;
    }

    /**
     * 设置类型
     *
     * @param type 类型
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 获取难度
     *
     * @return difficult - 难度
     */
    public Integer getDifficult() {
        return difficult;
    }

    /**
     * 设置难度
     *
     * @param difficult 难度
     */
    public void setDifficult(Integer difficult) {
        this.difficult = difficult;
    }

    /**
     * @return question_time
     */
    public Date getQuestionTime() {
        return questionTime;
    }

    /**
     * @param questionTime
     */
    public void setQuestionTime(Date questionTime) {
        this.questionTime = questionTime;
    }

    /**
     * @return qx_time
     */
    public Date getQxTime() {
        return qxTime;
    }

    /**
     * @param qxTime
     */
    public void setQxTime(Date qxTime) {
        this.qxTime = qxTime;
    }

    /**
     * @return offical_time
     */
    public Date getOfficalTime() {
        return officalTime;
    }

    /**
     * @param officalTime
     */
    public void setOfficalTime(Date officalTime) {
        this.officalTime = officalTime;
    }

    /**
     * @return association_time
     */
    public Date getAssociationTime() {
        return associationTime;
    }

    /**
     * @param associationTime
     */
    public void setAssociationTime(Date associationTime) {
        this.associationTime = associationTime;
    }

    /**
     * 获取总作答时间
     *
     * @return total_time - 总作答时间
     */
    public Integer getTotalTime() {
        return totalTime;
    }

    /**
     * 设置总作答时间
     *
     * @param totalTime 总作答时间
     */
    public void setTotalTime(Integer totalTime) {
        this.totalTime = totalTime;
    }

    /**
     * 获取总作答次数
     *
     * @return total_number - 总作答次数
     */
    public Integer getTotalNumber() {
        return totalNumber;
    }

    /**
     * 设置总作答次数
     *
     * @param totalNumber 总作答次数
     */
    public void setTotalNumber(Integer totalNumber) {
        this.totalNumber = totalNumber;
    }

    /**
     * 获取总正确次数
     *
     * @return total_correct - 总正确次数
     */
    public Integer getTotalCorrect() {
        return totalCorrect;
    }

    /**
     * 设置总正确次数
     *
     * @param totalCorrect 总正确次数
     */
    public void setTotalCorrect(Integer totalCorrect) {
        this.totalCorrect = totalCorrect;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", module=").append(module);
        sb.append(", type=").append(type);
        sb.append(", difficult=").append(difficult);
        sb.append(", questionTime=").append(questionTime);
        sb.append(", qxTime=").append(qxTime);
        sb.append(", officalTime=").append(officalTime);
        sb.append(", associationTime=").append(associationTime);
        sb.append(", totalTime=").append(totalTime);
        sb.append(", totalNumber=").append(totalNumber);
        sb.append(", totalCorrect=").append(totalCorrect);
        sb.append("]");
        return sb.toString();
    }

    public static Question.Builder builder() {
        return new Question.Builder();
    }

    public static class Builder {
        private Question obj;

        public Builder() {
            this.obj = new Question();
        }

        /**
         * @param id
         */
        public Builder id(Integer id) {
            obj.setId(id);
            return this;
        }

        /**
         * 设置模块：examination, exercise,sentence
         *
         * @param module 模块：examination, exercise,sentence
         */
        public Builder module(Integer module) {
            obj.setModule(module);
            return this;
        }

        /**
         * 设置类型
         *
         * @param type 类型
         */
        public Builder type(Integer type) {
            obj.setType(type);
            return this;
        }

        /**
         * 设置难度
         *
         * @param difficult 难度
         */
        public Builder difficult(Integer difficult) {
            obj.setDifficult(difficult);
            return this;
        }

        /**
         * @param questionTime
         */
        public Builder questionTime(Date questionTime) {
            obj.setQuestionTime(questionTime);
            return this;
        }

        /**
         * @param qxTime
         */
        public Builder qxTime(Date qxTime) {
            obj.setQxTime(qxTime);
            return this;
        }

        /**
         * @param officalTime
         */
        public Builder officalTime(Date officalTime) {
            obj.setOfficalTime(officalTime);
            return this;
        }

        /**
         * @param associationTime
         */
        public Builder associationTime(Date associationTime) {
            obj.setAssociationTime(associationTime);
            return this;
        }

        /**
         * 设置总作答时间
         *
         * @param totalTime 总作答时间
         */
        public Builder totalTime(Integer totalTime) {
            obj.setTotalTime(totalTime);
            return this;
        }

        /**
         * 设置总作答次数
         *
         * @param totalNumber 总作答次数
         */
        public Builder totalNumber(Integer totalNumber) {
            obj.setTotalNumber(totalNumber);
            return this;
        }

        /**
         * 设置总正确次数
         *
         * @param totalCorrect 总正确次数
         */
        public Builder totalCorrect(Integer totalCorrect) {
            obj.setTotalCorrect(totalCorrect);
            return this;
        }

        public Question build() {
            return this.obj;
        }
    }
}