package com.qxgmat.data.dao.entity;

import java.io.Serializable;
import javax.persistence.*;

@Table(name = "sentence_question")
public class SentenceQuestion implements Serializable {
    @Id
    @Column(name = "`id`")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 是否试用：0非试用，1试用
     */
    @Column(name = "`is_trail`")
    private Integer isTrail;

    /**
     * 千行解析
     */
    @Column(name = "`question_id`")
    private Integer questionId;

    /**
     * 长难句id
     */
    @Column(name = "`sentence_id`")
    private Integer sentenceId;

    private static final long serialVersionUID = 1L;

    /**
     * @return id
     */
    public Integer getId() {
        return id;
    }

    /**
     * @param id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取是否试用：0非试用，1试用
     *
     * @return is_trail - 是否试用：0非试用，1试用
     */
    public Integer getIsTrail() {
        return isTrail;
    }

    /**
     * 设置是否试用：0非试用，1试用
     *
     * @param isTrail 是否试用：0非试用，1试用
     */
    public void setIsTrail(Integer isTrail) {
        this.isTrail = isTrail;
    }

    /**
     * 获取千行解析
     *
     * @return question_id - 千行解析
     */
    public Integer getQuestionId() {
        return questionId;
    }

    /**
     * 设置千行解析
     *
     * @param questionId 千行解析
     */
    public void setQuestionId(Integer questionId) {
        this.questionId = questionId;
    }

    /**
     * 获取长难句id
     *
     * @return sentence_id - 长难句id
     */
    public Integer getSentenceId() {
        return sentenceId;
    }

    /**
     * 设置长难句id
     *
     * @param sentenceId 长难句id
     */
    public void setSentenceId(Integer sentenceId) {
        this.sentenceId = sentenceId;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", isTrail=").append(isTrail);
        sb.append(", questionId=").append(questionId);
        sb.append(", sentenceId=").append(sentenceId);
        sb.append("]");
        return sb.toString();
    }

    public static SentenceQuestion.Builder builder() {
        return new SentenceQuestion.Builder();
    }

    public static class Builder {
        private SentenceQuestion obj;

        public Builder() {
            this.obj = new SentenceQuestion();
        }

        /**
         * @param id
         */
        public Builder id(Integer id) {
            obj.setId(id);
            return this;
        }

        /**
         * 设置是否试用：0非试用，1试用
         *
         * @param isTrail 是否试用：0非试用，1试用
         */
        public Builder isTrail(Integer isTrail) {
            obj.setIsTrail(isTrail);
            return this;
        }

        /**
         * 设置千行解析
         *
         * @param questionId 千行解析
         */
        public Builder questionId(Integer questionId) {
            obj.setQuestionId(questionId);
            return this;
        }

        /**
         * 设置长难句id
         *
         * @param sentenceId 长难句id
         */
        public Builder sentenceId(Integer sentenceId) {
            obj.setSentenceId(sentenceId);
            return this;
        }

        public SentenceQuestion build() {
            return this.obj;
        }
    }
}