package com.qxgmat.data.dao.entity;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.*;

@Table(name = "user_ask")
public class UserAsk implements Serializable {
    @Id
    @Column(name = "`id`")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 用户id
     */
    @Column(name = "`user_id`")
    private Integer userId;

    /**
     * 题目id
     */
    @Column(name = "`question_id`")
    private Integer questionId;

    /**
     * 问题对象：question，offical，qianxing，association
     */
    @Column(name = "`target`")
    private String target;

    /**
     * 回答人id
     */
    @Column(name = "`manager_id`")
    private Integer managerId;

    @Column(name = "`create_time`")
    private Date createTime;

    @Column(name = "`update_time`")
    private Date updateTime;

    private static final long serialVersionUID = 1L;

    /**
     * @return id
     */
    public Integer getId() {
        return id;
    }

    /**
     * @param id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取用户id
     *
     * @return user_id - 用户id
     */
    public Integer getUserId() {
        return userId;
    }

    /**
     * 设置用户id
     *
     * @param userId 用户id
     */
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    /**
     * 获取题目id
     *
     * @return question_id - 题目id
     */
    public Integer getQuestionId() {
        return questionId;
    }

    /**
     * 设置题目id
     *
     * @param questionId 题目id
     */
    public void setQuestionId(Integer questionId) {
        this.questionId = questionId;
    }

    /**
     * 获取问题对象：question，offical，qianxing，association
     *
     * @return target - 问题对象：question，offical，qianxing，association
     */
    public String getTarget() {
        return target;
    }

    /**
     * 设置问题对象：question，offical，qianxing，association
     *
     * @param target 问题对象：question，offical，qianxing，association
     */
    public void setTarget(String target) {
        this.target = target;
    }

    /**
     * 获取回答人id
     *
     * @return manager_id - 回答人id
     */
    public Integer getManagerId() {
        return managerId;
    }

    /**
     * 设置回答人id
     *
     * @param managerId 回答人id
     */
    public void setManagerId(Integer managerId) {
        this.managerId = managerId;
    }

    /**
     * @return create_time
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * @return update_time
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * @param updateTime
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", userId=").append(userId);
        sb.append(", questionId=").append(questionId);
        sb.append(", target=").append(target);
        sb.append(", managerId=").append(managerId);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append("]");
        return sb.toString();
    }

    public static UserAsk.Builder builder() {
        return new UserAsk.Builder();
    }

    public static class Builder {
        private UserAsk obj;

        public Builder() {
            this.obj = new UserAsk();
        }

        /**
         * @param id
         */
        public Builder id(Integer id) {
            obj.setId(id);
            return this;
        }

        /**
         * 设置用户id
         *
         * @param userId 用户id
         */
        public Builder userId(Integer userId) {
            obj.setUserId(userId);
            return this;
        }

        /**
         * 设置题目id
         *
         * @param questionId 题目id
         */
        public Builder questionId(Integer questionId) {
            obj.setQuestionId(questionId);
            return this;
        }

        /**
         * 设置问题对象：question，offical，qianxing，association
         *
         * @param target 问题对象：question，offical，qianxing，association
         */
        public Builder target(String target) {
            obj.setTarget(target);
            return this;
        }

        /**
         * 设置回答人id
         *
         * @param managerId 回答人id
         */
        public Builder managerId(Integer managerId) {
            obj.setManagerId(managerId);
            return this;
        }

        /**
         * @param createTime
         */
        public Builder createTime(Date createTime) {
            obj.setCreateTime(createTime);
            return this;
        }

        /**
         * @param updateTime
         */
        public Builder updateTime(Date updateTime) {
            obj.setUpdateTime(updateTime);
            return this;
        }

        public UserAsk build() {
            return this.obj;
        }
    }
}