package com.qxgmat.dto.request;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.User;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;

/**
Created by GaoJie on 2017/11/3.
 */
@Dto(entity = User.class)
public class UserRegisterDto {
    /**
     * 手机号
     */
    @NotBlank(message = "手机号不能为空！")
    @ApiModelProperty(value = "手机号", required = true)
    private String mobile;

    /**
     * 明文密码
     */
    @NotBlank(message = "密码不能为空！")
    @Length(min = 6, max = 15, message = "密码只能是6到15位！")
    @ApiModelProperty(value = "密码", required = true)
    private String password;

    /**
     * 手机验证码
     */
    @NotBlank(message = "手机验证码不能为空！")
    @ApiModelProperty(value = "手机验证码", required = true)
    private String mobileVerifyCode;

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getMobileVerifyCode() {
        return mobileVerifyCode;
    }

    public void setMobileVerifyCode(String mobileVerifyCode) {
        this.mobileVerifyCode = mobileVerifyCode;
    }
}
