package com.qxgmat.dto.request;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.User;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;

/**
Created by GaoJie on 2017/11/3.
 */
@Dto(entity = User.class)
public class UserResetPasswordDto {
    /**
     * 明文密码
     */
    @NotBlank(message = "密码不能为空！")
    @Length(min = 6, max = 15, message = "密码只能是6到15位！")
    @ApiModelProperty(value = "密码", required = true)
    private String password;
    /**
     * 手机验证码
     */
    @NotBlank(message = "确认密码不能为空！")
    @Length(min = 6, max = 15, message = "密码只能是6到15位！")
    @ApiModelProperty(value = "确认密码", required = true)
    private String passwordSecond;

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getPasswordSecond() {
        return passwordSecond;
    }

    public void setPasswordSecond(String passwordSecond) {
        this.passwordSecond = passwordSecond;
    }
}
