package com.qxgmat.util.shiro;

import com.nuliji.tools.exception.ParameterException;
import com.qxgmat.data.dao.entity.User;
import com.qxgmat.service.UserService;
import org.apache.commons.lang.time.FastDateFormat;
import org.apache.shiro.authc.*;
import org.apache.shiro.authz.AuthorizationInfo;
import org.apache.shiro.realm.AuthorizingRealm;
import org.apache.shiro.subject.PrincipalCollection;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * Created by GaoJie on 2017/11/3.
 */

public class OauthRealm extends AuthorizingRealm {
    private static final FastDateFormat dateFormat = FastDateFormat.getInstance("yyyy-MM-dd HH:mm:ss");

    @Autowired
    private UserService userService;

    @Override
    protected AuthorizationInfo doGetAuthorizationInfo(PrincipalCollection principalCollection) {
        return null;
    }

    @Override
    protected AuthenticationInfo doGetAuthenticationInfo(AuthenticationToken authenticationToken) throws AuthenticationException {
        UsernamePasswordToken token = (UsernamePasswordToken) authenticationToken;
        String code = token.getUsername();
        String platform = new String(token.getPassword());

        // todo 查询第三方登录

        String openId = "";
        String platformField = "";
        Integer registerType = 0;
        switch(platform){
            case "wechat":
                platformField = userService.PLATORM_WECHAT;
                registerType = userService.REGISTER_WECHAT;
                break;
            default:
                throw new ParameterException("第三方平台"+platform+"不支持");
        }

        User user = userService.getByOpen(openId, platformField);
        if(user == null){
            user = new User();
//            user.setRegisterType(registerType);
        }
        return new SimpleAuthenticationInfo(user, code, getName());
    }
}
